/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK


DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/nh-phone-number.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/nh-phone-number.xml',

'<View title="{message.XXAS_EMP_PHONE_NUMBERS}" deleteAllowed="true" deleteLabel="Delete">

  <CreateFields>
    
    <Poplist id="PHONE_TYPE" label="{message.XXAS_RB_NOTE_TYPE}" enabled="true" required="false" listProvider="LOOKUP_TYPE:PHONE_TYPE"/>
    <TextInput id="PHONE_NUMBER" label="{message.XXAS_EMP_NUMBER}" enabled="true" required="false"/>
    
  </CreateFields>

</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/nh-phone-number.xml');
END;

/
COMMIT;
EXIT;
